| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
packet_list_utils.h File Reference
`#include <epan/cfile.h>`

Go to the source code of this file.

## Functions
bool | right_justify_column (int col, capture_file *cf)
| Check to see if a column should be right justified.
bool | display_column_strings (int col, capture_file *cf)
| Check to see if a column's data can be displayed as strings.
bool | display_column_details (int col, capture_file *cf)
| Check to see if a column's data can be displayed as packet details.
void | packet_list_recent_write_all (FILE *rf)
| The following methods have to be implemented by any class that whishes to represent a packet list.
void | packet_list_clear (void)
| Clears the current packet list.
void | packet_list_freeze (void)
| Freeze the packet list.
void | packet_list_recreate_visible_rows (void)
| Recreate the visible rows in the packet list.
void | packet_list_need_recreate_visible_rows (void)
| Indicates that the visible rows in the packet list need to be recreated.
void | packet_list_thaw (void)
| Thaw the packet list.
unsigned | packet_list_append (column_info *cinfo, frame_data *fdata)
| Recreates visible rows in the packet list.
void | packet_list_queue_draw (void)
| Queue a redraw of the packet list.
bool | packet_list_select_row_from_data (frame_data *fdata_needle)
| Select a row in the packet list based on frame data.
bool | packet_list_select_finfo (field_info *fi)
| Select a field in the packet list based on field information.
bool | packet_list_multi_select_active (void)
| Check if multi-selection is active in the packet list.

## Detailed Description

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 1998 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ display_column_details()

bool display_column_details | ( | int | col,
|  | capture_file * | cf )

Check to see if a column's data can be displayed as packet details.

Parameters

  [in] | col | The column number.
  [in] | cf | The capture file containing the packet data.

Returns
  true if displayed as details is allowed, false otherwise.

## ◆ display_column_strings()

bool display_column_strings | ( | int | col,
|  | capture_file * | cf )

Check to see if a column's data can be displayed as strings.

Parameters

  [in] | col | The column number.
  [in] | cf | The capture file containing the packet data.

Returns
  true if name displayed as strings is allowed, false otherwise.

## ◆ packet_list_append()

unsigned packet_list_append | ( | column_info * | cinfo,
|  | frame_data * | fdata )
| extern

Recreates visible rows in the packet list.

This function is called to recreate the visible rows in the packet list.

Parameters

  cinfo | The column information used to determine how to recreate the visible rows.
  fdata | The frame data used to determine how to recreate the visible rows.

Returns
  true if the visible rows were successfully recreated, false otherwise.

## ◆ packet_list_freeze()

void packet_list_freeze | ( | void |  | ) |
| extern

Freeze the packet list.

This function is used to freeze the packet list, preventing any updates or modifications until it is thawed.

## ◆ packet_list_multi_select_active()

bool packet_list_multi_select_active | ( | void |  | ) |
| extern

Check if multi-selection is active in the packet list.

Returns
  true if multi-selection is active, false otherwise.

## ◆ packet_list_need_recreate_visible_rows()

void packet_list_need_recreate_visible_rows | ( | void |  | ) |
| extern

Indicates that the visible rows in the packet list need to be recreated.

This function is called to signal that the visible rows in the packet list need to be recreated, typically after changes have been made to the underlying data.

## ◆ packet_list_recent_write_all()

void packet_list_recent_write_all | ( | FILE * | rf | ) |
| extern

The following methods have to be implemented by any class that whishes to represent a packet list.

Write all packet list geometry values to the recent file.

Parameters

  rf | recent file handle from caller

## ◆ packet_list_recreate_visible_rows()

void packet_list_recreate_visible_rows | ( | void |  | ) |
| extern

Recreate the visible rows in the packet list.

This function is called to recreate the visible rows in the packet list, typically after changes have been made to the underlying data.

## ◆ packet_list_select_finfo()

bool packet_list_select_finfo | ( | field_info * | fi | ) |
| extern

Select a field in the packet list based on field information.

This function selects a field in the packet list that corresponds to the provided field information.

Parameters

  fi | The field information used to identify the field to select.

Returns
  true if a matching field was found and selected, false otherwise.

## ◆ packet_list_select_row_from_data()

bool packet_list_select_row_from_data | ( | frame_data * | fdata_needle | ) |
| extern

Select a row in the packet list based on frame data.

This function selects a row in the packet list that corresponds to the provided frame data.

Parameters

  fdata_needle | The frame data used to identify the row to select.

Returns
  true if a matching row was found and selected, false otherwise.

## ◆ packet_list_thaw()

void packet_list_thaw | ( | void |  | ) |
| extern

Thaw the packet list.

This function is used to thaw the packet list, allowing further modifications and updates.

## ◆ right_justify_column()

bool right_justify_column | ( | int | col,
|  | capture_file * | cf )

Check to see if a column should be right justified.

Parameters

  [in] | col | The column number.
  [in] | cf | The capture file containing the packet data.

Returns
  true if the column should be right justified, false otherwise.